=== debian/changelog ===
patool (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 19 Jul 2013 15:11:17 +0200

patool (1.2-1) unstable; urgency=low

  * New upstream release.
    (Closes: #711959)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 27 Jun 2013 22:20:13 +0200

patool (1.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 Apr 2013 14:41:58 +0200

patool (1.0-2) unstable; urgency=low

  * Start with a clean debian/changelog.
  * Remove unofficial remark from debian/control
  * Do not install custom bts file for reportbug.
  * Use machine-readable debian/copyright information.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 05 Mar 2013 19:44:45 +0100

patool (1.0-1) unstable; urgency=low

  * Official release (Closes: #702029)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 04 Mar 2013 19:12:32 +0100
