=== debian/watch ===
# watch control file for uscan
version=3
http://wummel.github.io/patool/ \
  http://github.io/downloads/wummel/patool/patool-(.*).tar.gz
