=== debian/changelog ===
patool (1.4-2) unstable; urgency=low

  * Updated debian/watch

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 Jan 2014 20:05:45 +0100

patool (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 26 Jul 2013 22:39:17 +0200
