=== debian/control ===
Source: patool
Section: utils
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-all (>= 2.7), debhelper (>= 9)
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://wummel.github.io/patool/

Package: patool
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: file
Provides: ${python:Provides}
Suggests: arj, bzip2 | lbzip2 | pbzip2, cabextract | lcab, ncompress,
  cpio | bsdcpio, lzop, p7zip-full, rar | unrar | unrar-nonfree, zip | unzip,
  rpm2cpio, binutils, lha, unace | unace-nonfree, arc | nomarch, unalz,
  lrzip (>= 0.551), tar (>= 1.26) | star | bsdtar, rzip, zoo, xdms, orange,
  lzip | plzip | clzip | pdlzip, sharutils, flac, shorten, unadf, archmage,
  genisoimage, python-argcomplete
Description: command line archive file manager
 Various archive formats can be created, extracted, tested, listed,
 compared, searched and repacked by patool. The archive format is
 determined with file(1) and as a fallback by the archive file extension.
 .
 patool supports 7z (.7z), ACE (.ace), ADF (.adf), ALZIP (.alz), AR (.a),
 ARC (.arc), ARJ (.arj), BZIP2 (.bz2), CAB (.cab), compress (.Z), CPIO (.cpio),
 DEB (.deb), DMS (.dms), FLAC (.flac), GZIP (.gz), ISO (.iso), LZH (.lha, .lzh),
 LZIP (.lz), LZMA (.lzma), LZOP (.lzo), RAR (.rar), RPM (.rpm), RZIP (.rz),
 SHAR (.shar), SHN (.shn), TAR (.tar), XZ (.xz), ZIP (.zip, .jar) and
 ZOO (.zoo) formats.
 .
 It relies on helper applications to handle those archive formats
 (for example bzip2 for BZIP2 archives).
 .
 The archive formats TAR, ZIP, BZIP2 and GZIP
 are supported natively and do not require helper applications to be
 installed.
