=== debian/changelog ===
patool (1.7-1~nd13.10+1) saucy; urgency=low

  * Backported for saucy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 07 Oct 2014 00:08:40 -0400

patool (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 27 Jun 2014 18:00:38 +0200

patool (1.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 08 Jun 2014 12:36:42 +0200

patool (1.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 30 Mar 2014 08:34:41 +0200
