=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: patool
 Section: utils
 Priority: optional
-Maintainer: Bastian Kleineidam <calvin@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Bastian Kleineidam <calvin@debian.org>
 Build-Depends: python-all (>= 2.7), debhelper (>= 9)
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.4
@@ -9,7 +10,7 @@
 
 Package: patool
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: file
 Provides: ${python:Provides}
 Suggests: arj, bzip2 | lbzip2 | pbzip2, cabextract | lcab, ncompress,
