## patool 1.10

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,11 @@
 AUTHOR:=$(shell $(PYTHON) setup.py --author)
 APPNAME:=$(shell $(PYTHON) setup.py --name)
 ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.gz
-ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
+ARCHIVE_WHEEL:=$(APPNAME)-$(VERSION)-py2.py3-none-any.whl
 GITUSER:=wummel
 GITREPO:=$(APPNAME)
 HOMEPAGE:=$(HOME)/public_html/patool-webpage.git
 WEBMETA:=doc/web/app.yaml
-DEBUILDDIR:=$(HOME)/projects/debian/official
-DEBORIGFILE:=$(DEBUILDDIR)/$(APPNAME)_$(VERSION).orig.tar.gz
-DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
 # Pytest options:
 # --resultlog: write test results in file
 # -s: do not capture stdout/stderr (some tests fail otherwise)
@@ -27,22 +24,16 @@
 
 dist:
 	[ -d dist ] || mkdir dist
-	$(PYTHON) setup.py sdist --formats=tar
+	$(PYTHON) setup.py sdist --formats=tar bdist_wheel
 	gzip --best dist/$(APPNAME)-$(VERSION).tar
-	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist
 
 sign:
 	[ -f dist/$(ARCHIVE_SOURCE).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_SOURCE)
-	[ -f dist/$(ARCHIVE_WIN32).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_WIN32)
+	[ -f dist/$(ARCHIVE_WHEEL).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_WHEEL)
 
-upload:	upload_source upload_binary
-
-upload_source:
-	twine upload dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_SOURCE).asc
-
-upload_binary:
-	cp dist/$(ARCHIVE_WIN32) dist/$(ARCHIVE_WIN32).asc \
-	  $(HOMEPAGE)/dist
+upload:
+	twine upload dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_SOURCE).asc \
+	             dist/$(ARCHIVE_WHEEL) dist/$(ARCHIVE_WHEEL).asc
 
 update_webmeta:
 # update metadata
@@ -66,7 +57,7 @@
 # Each step is a separate target so that it's easy to do this manually if
 # anything screwed up.
 release: distclean releasecheck
-	$(MAKE) dist sign upload homepage tag register changelog deb
+	$(MAKE) dist sign upload homepage tag register changelog
 
 register:
 	@echo "Register at Python Package Index..."
@@ -76,9 +67,10 @@
 	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
 	  echo "Could not release: edit doc/changelog.txt release date"; false; \
 	fi
-	@if [ ! -f ../$(ARCHIVE_WIN32) ]; then \
-	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
-	  false; \
+	@if ! head -n1 doc/changelog.txt | egrep "^$(VERSION)" >/dev/null; then \
+	  echo "Could not release: different versions in doc/changelog.txt and setup.py"; \
+	  echo "Version in doc/changelog.txt:"; head -n1 doc/changelog.txt; \
+	  echo "Version in setup.py: $(VERSION)"; false; \
 	fi
 	$(PYTHON) setup.py check --restructuredtext
 
@@ -123,21 +115,8 @@
 	$(PYTHON) -m pytest $(PYTESTOPTS) $(TESTOPTS) $(TESTS)
 
 doc/$(APPNAME).txt: doc/$(APPNAME).1
-# make text file from man page for Windows builds
+# make text file from man page for wheel builds
 	cols=`stty size | cut -d" " -f2`; stty cols 72; man -l $< | sed -e 's/.\cH//g' > $@; stty cols $$cols
-
-deb:
-# build a debian package
-	[ -f $(DEBORIGFILE) ] || cp dist/$(ARCHIVE_SOURCE) $(DEBORIGFILE)
-	sed -i -e 's/VERSION_$(APPNAME):=.*/VERSION_$(LAPPNAME):=$(VERSION)/' $(DEBUILDDIR)/$(LAPPNAME).mak
-	[ -d $(DEBPACKAGEDIR) ] || (cd $(DEBUILDDIR); \
-	  patool extract $(DEBORIGFILE); \
-	  cd $(CURDIR); \
-	  git checkout debian; \
-	  cp -r debian $(DEBPACKAGEDIR); \
-	  rm -f $(DEBPACKAGEDIR)/debian/.gitignore; \
-	  git checkout master)
-	$(MAKE) -C $(DEBUILDDIR) $(APPNAME)_clean $(APPNAME)
 
 update-copyright:
 # update-copyright is a local tool which updates the copyright year for each
@@ -149,6 +128,6 @@
 # closes issues mentioned in the changelog entries.
 	github-changelog $(DRYRUN) $(GITUSER) $(GITREPO) doc/changelog.txt
 
-.PHONY: changelog update-copyright deb test clean count pyflakes check
+.PHONY: changelog update-copyright test clean count pyflakes check
 .PHONY: releasecheck release upload sign dist all tag register homepage
 .PHONY: localbuild doccheck
