=== debian/control ===
Source: patool
Maintainer: Abhijith PA <abhijith@openmailbox.org>
Section: utils
Priority: optional
Build-Depends: python-all (>= 2.7),
               debhelper (>= 9),
               dh-python ,
               bash-completion,
               python-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/patool.git
Vcs-Git: git://anonscm.debian.org/collab-maint/patool.git
Homepage: http://wummel.github.io/patool/
X-Python-Version: >= 2.7

Package: patool
Architecture: all
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: file
Suggests: arj,
          bzip2 | lbzip2 | pbzip2,
          cabextract | lcab,
          ncompress,
          cpio | bsdcpio,
          lzop,
          p7zip-full,
          rar | unrar | zip | unzip,
          rpm2cpio,
          binutils,
          lha,
          unace | unace-nonfree | nomarch,
          unalz,
          lrzip (>= 0.551),
          tar (>= 1.26) | bsdtar,
          xdms,
          orange,
          lzip | plzip | clzip | pdlzip,
          sharutils,
          flac,
          archmage,
          genisoimage,
          python-argcomplete
Provides: ${python:Provides}
Description: command line archive file manager
 Various archive formats can be created, extracted, tested, listed,
 compared, searched and repacked by patool. The archive format is
 determined with file and as a fallback by the archive file extension.
 .
 patool supports 7z (.7z), ACE (.ace), ADF (.adf), ALZIP (.alz), AR (.a),
 ARC (.arc), ARJ (.arj), BZIP2 (.bz2), CAB (.cab), compress (.Z), CPIO (.cpio),
 DEB (.deb), DMS (.dms), FLAC (.flac), GZIP (.gz), ISO (.iso), LZH (.lha, .lzh),
 LZIP (.lz), LZMA (.lzma), LZOP (.lzo), RAR (.rar), RPM (.rpm), RZIP (.rz),
 SHAR (.shar), SHN (.shn), TAR (.tar), XZ (.xz), ZIP (.zip, .jar) and
 ZOO (.zoo) formats.
 .
 It relies on helper applications to handle those archive formats
 (for example bzip2 for BZIP2 archives).
 .
 The archive formats TAR, ZIP, BZIP2 and GZIP
 are supported natively and do not require helper applications to be
 installed.
