=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=patool

%:
	dh $@ --with python2,bash-completion --buildsystem=pybuild

override_dh_auto_build:
# force usage of setup.py over Makefile
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf _patool_configdata.py

# do not run test suite when building
override_dh_auto_test:

override_dh_installchangelogs:
# install custom changelog
	dh_installchangelogs doc/changelog.txt

override_dh_install:
	dh_install
# install bash_completion script
	install -m 644 patool.bash-completion $(CURDIR)/debian/patool/usr/share/bash-completion/completions/patool
