## patool 1.12

=== Makefile ===
--- 
+++ 
@@ -77,7 +77,7 @@
 check:
 # The check programs used here are mostly local scripts on my private system.
 # So for other developers there is no need to execute this target.
-	check-copyright
+	check-copyright setup.py patool patoolib tests
 	check-pofiles -v
 	py-tabdaddy
 	py-unittest2-compat tests/
