=== debian/changelog ===
patool (1.12-5) unstable; urgency=medium

  * Bump Standards-Version
  * Use debhelper-compat instead

 -- Abhijith PA <abhijith@debian.org>  Sun, 16 Feb 2020 20:00:26 +0530

patool (1.12-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Abhijith PA ]
  * Enable autopkgtest
  * d/control:
     + Change maintainer email address
     + Remove python-all, python2, Python: Depends (Closes: #937249)
     + Remove bsdcpio, bsdtar and add libarchivetools to
       Suggests (Closes: #917425)
     + Add lhasa to Suggests
     + Bumps Standard-Versions to 4.4.1
     + Remove X-Python3-Version, Testsuite field
     + Add Rules-Requires-Root: no
     + Bumps debhelper version to 12
  * Add salsa-ci file.
  * Rewrite dh_clean in rules

 -- Abhijith PA <abhijith@debian.org>  Mon, 01 Oct 2018 10:06:47 +0200

patool (1.12-3) unstable; urgency=low

  * Re-upload to unstable

 -- Abhijith PA <abhijith@openmailbox.org>  Mon, 10 Oct 2016 09:01:42 +0530

patool (1.12-2) experimental; urgency=low

  * Adds python3 support for patoolib (closes: #833880)

 -- Abhijith PA <abhijith@openmailbox.org>  Sun, 11 Sep 2016 16:20:56 +0530

patool (1.12-1) unstable; urgency=low

  * New upstream release.
  * Delete patool.dirs , No longer needed
  * Adds patool.bash-completion in debian/ Thanks to bignose
  * Change debian/rules
     + Removed manually installing bash-completion files (closes: #815815)
  * Change debian/control
     + bumps Standard-Version to 3.9.8
     + Vcs-git field change from git:// to https://

 -- Abhijith PA <abhijith@openmailbox.org>  Mon, 16 May 2016 20:38:12 +0530
