=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: patool
-Maintainer: Abhijith PA <abhijith@openmailbox.org>
+Maintainer: Abhijith PA <abhijith@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: python-all (>= 2.7),
-               debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python ,
                bash-completion,
-               python-setuptools
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/patool.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/patool.git
+               python3-all (>= 3.5),
+               python3-setuptools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian/patool
+Vcs-Git: https://salsa.debian.org/debian/patool.git
 Homepage: http://wummel.github.io/patool/
-X-Python-Version: >= 2.7
 
 Package: patool
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: file
@@ -23,8 +23,7 @@
           bzip2 | lbzip2 | pbzip2,
           cabextract | lcab,
           ncompress,
-          cpio | bsdcpio,
-          lzop,
+          cpio, lzop,
           p7zip-full,
           rar | unrar | zip | unzip,
           rpm2cpio,
@@ -33,12 +32,14 @@
           unace | unace-nonfree | nomarch,
           unalz,
           lrzip (>= 0.551),
-          tar (>= 1.26) | bsdtar,
+          lhasa,
+          tar (>= 1.26),
           xdms,
           orange,
           lzip | plzip | clzip | pdlzip,
           sharutils,
           flac,
+          libarchive-tools,
           archmage,
           genisoimage,
           python-argcomplete
