=== debian/watch ===
version=3
https://wummel.github.io/patool/ \
(?:|.*/)patool(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
