=== debian/changelog ===
patool (2.0.0-2) unstable; urgency=medium

  * Remove upstream tests/ in autopkgtest

 -- Abhijith PA <abhijith@debian.org>  Thu, 25 Jan 2024 14:34:54 +0530

patool (2.0.0-1) unstable; urgency=medium

  [ Janitor ]
  * d/control: Update with https URI for Homepage field
  * d/rules: Remove override_dh_auto_build and override_dh_install

  [ Abhijith PA ]
  * New upstream release
  * d/patches:
     + Remove hyphen.patch. Fixed in upstream
     + Add 01-skip-a-test-in-isoinfo.patch to skip a test
  * d/control:
     + Bump Standards-Version to 4.6.2
     + Update suggests packages.
     + Remove Provides field and ${shlibs:Depends} substitution
       variables
  * d/rules: Add dh_installman to install manpage for patool
  * Add a lintian override
  * update gitlab-ci.yml
  * Run upstream tests/ in autopkgtest

 -- Abhijith PA <abhijith@debian.org>  Mon, 20 Nov 2023 13:04:59 +0530
