=== debian/control ===
--- 
+++ 
@@ -2,21 +2,20 @@
 Maintainer: Abhijith PA <abhijith@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python ,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
                bash-completion,
                python3-all (>= 3.5),
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/patool
 Vcs-Git: https://salsa.debian.org/debian/patool.git
-Homepage: http://wummel.github.io/patool/
+Homepage: https://wummel.github.io/patool/
 
 Package: patool
 Architecture: all
 Depends: ${python3:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: file
 Suggests: arj,
@@ -28,22 +27,19 @@
           rar | unrar | zip | unzip,
           rpm2cpio,
           binutils,
-          lha,
           unace | unace-nonfree | nomarch,
           unalz,
           lrzip (>= 0.551),
           lhasa,
           tar (>= 1.26),
           xdms,
-          orange,
           lzip | plzip | clzip | pdlzip,
           sharutils,
           flac,
           libarchive-tools,
           archmage,
           genisoimage,
-          python-argcomplete
-Provides: ${python:Provides}
+          python3-argcomplete
 Description: command line archive file manager
  Various archive formats can be created, extracted, tested, listed,
  compared, searched and repacked by patool. The archive format is
