## patool 3.1.0

=== debian/changelog ===
patool (3.1.0-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Abhijith PA <abhijith@debian.org>  Tue, 11 Feb 2025 13:01:28 +0530

patool (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Delete 01-skip-a-test-in-isoinfo.patch . We only run patool test.
  * d/rules: Disable archive/ tests. Only run patool test
  * d/control:
    + Add python3-pytest to Build-depends.
    + Bump Standards-Version to 4.7.0
    + Use 7zip instead of P7zip-full in `Suggests` (Closes: #1063594)
  * d/watch: upgrade version to 4.

 -- Abhijith PA <abhijith@debian.org>  Wed, 05 Feb 2025 16:24:03 +0530
