## patool 3.1.3

=== debian/changelog ===
patool (3.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Abhijith PA <abhijith@debian.org>  Mon, 24 Feb 2025 15:41:12 +0530
