=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
                dh-python,
                bash-completion,
                python3-all (>= 3.5),
-               python3-setuptools
-Standards-Version: 4.6.2
+               python3-setuptools,
+               python3-pytest
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/patool
 Vcs-Git: https://salsa.debian.org/debian/patool.git
@@ -22,8 +23,7 @@
           bzip2 | lbzip2 | pbzip2,
           cabextract | lcab,
           ncompress,
-          cpio, lzop,
-          p7zip-full,
+          cpio, lzop, 7zip,
           rar | unrar | zip | unzip,
           rpm2cpio,
           binutils,
