=== debian/changelog ===
patool (4.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Abhijith PA <abhijith@debian.org>  Fri, 21 Mar 2025 11:12:05 +0530
