=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                bash-completion,
-               python3-all (>= 3.5),
+               python3-all (>= 3.11),
                python3-setuptools,
                python3-pytest
 Standards-Version: 4.7.0
