=== debian/changelog ===
patool (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Abhijith PA <abhijith@debian.org>  Wed, 27 Aug 2025 10:19:52 +0530
